# Debug package is empty
%define _enable_debug_packages %{nil}
%define debug_package %{nil}

Name:		getfem++
Summary:	Generic and efficient C++ library for finite element methods
Version:	4.2
Release:	3
Url:		http://home.gna.org/getfem/
License:	LGPLv2+
Group:		Development/C++
Source0:	http://download.gna.org/getfem/stable/getfem-%{version}.tar.gz
Patch0:		getfem-4.2-sfmt.patch
BuildRequires:	blas-devel
BuildRequires:	boost-static-devel
BuildRequires:	pkgconfig(muparser)

%description
The Getfem++ project focuses on the development of a generic and efficient
C++ library for finite element methods. The goal is to provide a library
allowing the computation of any elementary matrix (even for mixed finite
element methods) on the largest class of methods and elements, and for
arbitrary dimension (i.e. not only 2D and 3D problems).

%files
%doc README COPYING
%{_bindir}/getfem-config
%{_prefix}/getfem_toolbox
%{_includedir}/gmm
%{_includedir}/getfem
%{_includedir}/getfem_boost
%{_libdir}/libgetfem.a

#--------------------------------------------------------------------

%prep
%setup -qn getfem-%{version}
%patch0 -p1

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure2_5x \
	--enable-boost \
	--enable-muparser \
	--disable-python
%make

%install
%makeinstall_std


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.2-3
+ Revision: 8b97559
- MassBuild#440: Increase release tag


